# apiVersion: v1
# kind: Namespace
# metadata:
#   name: openebs
#   # labels:
#   #   istio-injection: enabled
# ---
apiVersion: v1
kind: Namespace
metadata:
  name: istio-system
  labels:
    istio-injection: enabled
---
apiVersion: v1
kind: Namespace
metadata:
  name: monitoring
  # labels:
  #   istio-injection: disabled # blocks operator's Jobs
---
apiVersion: v1
kind: Namespace
metadata:
  name: cert-manager
  labels:
    istio-injection: enabled
---
apiVersion: v1
kind: Namespace
metadata:
  name: metallb-system
  labels:
    istio-injection: enabled
    pod-security.kubernetes.io/audit: privileged
    pod-security.kubernetes.io/enforce: privileged
    pod-security.kubernetes.io/warn: privileged
---
apiVersion: v1
kind: Namespace
metadata:
  name: argocd
  labels:
    istio-injection: enabled
---
apiVersion: v1
kind: Namespace
metadata:
  name: stackgres
  # Disabled istio-injection because it blocks the jobs (can't annotate job's pod annotations in chart)
  # labels:
  #   istio-injection: enabled
# apiVersion: v1
# kind: Namespace
# metadata:
#   name: vault
#   labels:
#     istio-injection: enabled
# ---
---
